17
Thank you for your review
Free
http://www.macupdate.com/download/49473/mailrecent_1.3.9.dmg.zip
Email me when discounted: 
MailRecent adds "Copy to Recent," "Move to Recent," and "Go to Recent" menu items to Apple's Mail application.

These menu items contain dynamically-updated lists of recently used mailboxes. The number of mailboxes kept in the list is determined by the "Number of Recent Items" setting for Documents in the Appearance panel of the OS X System Preferences. If you are using OS X 10.7 or later and have installation difficulties please see here.

What's New

Version 1.4.5:
  • Updated for OS X 10.9.4
  • Fixed (I hope) an issue where duplicate mailbox names were not properly extended some times.
  • Added Polish localization (thanks to P. Rutkowski).
  • Added Finnish localization (thanks to Ikemitsu).

Requirements

  • OS X 10.9 or later
  • Apple Mail 7 or later

Similar Software

Open Comparison
Suggest Other Similar Software
Leave a Review

MailRecent User Discussion

Nobody has reviewed or commented on this app yet. Add your own comment and get a discussion going!
Sort by: Time | Smiles
Robfol Member IconReview+77
Robfol
+0

Updating my previous good review. Brilliant functionality although not as useful as MailFollowUp, for me installs and works perfectly every time. AND importantly swift updates for new OS versions

Reply0 replies
Version 1.4.3
Frank-O'Connor Member IconReview+144
Frank-O'Connor
+0

Install fails ... as has always been the case with plug-ins from this developer.
As of today, I'm simply not gonna download any puppies from them.

Reply0 replies
Version 1.4.2
Robfol Member IconReview+77
Robfol
+0

A simple but effective utility. Works well and swiftly updated for Mavericks etc etc. Recommended by me!

Reply0 replies
Version 1.4.1
Sbchavel Member IconReview+33
Sbchavel
+0

On OSX 10.8.5 I use MR v. 1.3.9 from Aug 2013. It works. And it works great. What a time-saver.

Reply0 replies
Version 1.4
Marchintosh Member IconReview-2
Marchintosh
+0

10.8.5 killed it.

Reply0 replies
Version 1.3.9
gtrsteve Member IconReview+26
gtrsteve
+0

Now that it's been fixed, it's great again.
Thanks for fixing it.
Ease of use actually is 5, but the star got stuck on 4 and it won't let me change it.

Reply0 replies
Version 1.3.8
gtrsteve Member IconComment+26
gtrsteve
+0

Hi Greg,
I really Liked this plugin and was glad to see you update it for the changes Apple made.
Unfortunately, Installer didn't work, so I dragged the mail bundle to ~/Library/Mail/Bundles/ but it showed everything but the actual recent mail folders. So I tried different ones and still no recent folders, Move or Copy.
I also tried the terminal instructions.

Reply0 replies
Version 1.3.7
Jimw Member IconComment+455
Jimw
+0

OSX 10.8.4 Kills it.

Reply2 replies
Version 1.3.6
Gregwelch
+0

Greg (the developer): 1.3.7 resurrects it, and comes back stronger (fixed long-standing bug).

Rdzman
+1

For some reason, when I upgraded to OS X 10.8.4 and MailRecent 1.3.7, I had to delete the preference file at ~/Library/Containers/com.apple.mail/Data/Library/Preferences/net.welchwold.mailrecent.plist before it would populate the Recent menus again.

Ward Member IconReview+87
Ward
+0

I finally got around to installing Security Update 2012-004 on my 10.6.8 Mac. The updated Mail 4.6 disabled MailRecent 1.2.4. It would have been a big disappointment to lose MailRecent.

Fortunately, Greg Welch's MailRecent page offers an unsupported MailRecent 1.2.5 release for Snow Leopard users. He states it "might work." I can confirm it does work.

There is an installation speed bump -- the Install MailRecent simple installer doesn't like 10.6.8. You have to use the Installation (Manual) instructions to move the MailRecent.mailbundle into Mail's bundle folder. The Terminal commands are unnecessary if you've ever installed any Mail plug-in.

Reply0 replies
Version 1.3.6
Craig42a Member IconComment+48
Craig42a
+0

FYI:

Just upgraded to Lion today with all updates, and getting this message:
"Contact the makers of these plug-ins for versions that are compatible with Mail 5.3 and Message 5.3."

So, incompatible. I am also using MailTags and MailHub. Not sure where or what the conflict is...

MailRecent seemed to be working fine on Snow Leopard.

Reply0 replies
Version 1.3.6
user icon+140
Thomas1977
Version 1.3.8
user icon+506
Zo219
Version 1.2.3
> 4 17

Ratings

Overall
(17)
Current Version (1.x)
(17)

Details

Downloads 13,330
Version Downloads 359
Type Internet / Email
License Free
Date 30 Jun 2014
Platform Intel 64 / OS X
Price Free
Learn how MacUpdate Desktop makes installing apps from MacUpdate.com one-click easy.
Next time, install MailRecent with 1-click

Learn how MacUpdate Desktop can install apps on MacUpdate with the simple click of the Install apps with MacUpdate Desktop icon. Plus, keep all your apps updated. Play video...